List tasks
curl --request GET \
--url https://dev-public-api.openphone.dev/tasks \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"taskId": "TKb4164b7f9b3d40e79ea4af4f2298ed67",
"orgId": "OR123abc",
"createdBy": "US123abc",
"createdAt": "2023-11-07T05:31:56Z",
"status": "open",
"revision": 2,
"phoneNumberId": "PN123bc",
"conversationId": "CN123abc",
"activityId": "AC123abc",
"phoneNumberGroupId": "1234",
"title": "Example task title",
"description": "This is a task description.",
"dueDate": "2023-11-07T05:31:56Z",
"assignedTo": "SYU123abc",
"assignedBy": "SYU123abc"
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "6897907457496870895"
}{
"message": "User is unauthorized to perform this action",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "The contact was not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "An unknown error has occurred",
"docs": "https://quo.com/docs",
"title": "Unknown Error",
"trace": "6897907457496870895"
}Tasks
List tasks
Get a list of tasks
GET
/
tasks
List tasks
curl --request GET \
--url https://dev-public-api.openphone.dev/tasks \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"taskId": "TKb4164b7f9b3d40e79ea4af4f2298ed67",
"orgId": "OR123abc",
"createdBy": "US123abc",
"createdAt": "2023-11-07T05:31:56Z",
"status": "open",
"revision": 2,
"phoneNumberId": "PN123bc",
"conversationId": "CN123abc",
"activityId": "AC123abc",
"phoneNumberGroupId": "1234",
"title": "Example task title",
"description": "This is a task description.",
"dueDate": "2023-11-07T05:31:56Z",
"assignedTo": "SYU123abc",
"assignedBy": "SYU123abc"
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "6897907457496870895"
}{
"message": "User is unauthorized to perform this action",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "The contact was not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "An unknown error has occurred",
"docs": "https://quo.com/docs",
"title": "Unknown Error",
"trace": "6897907457496870895"
}Authorizations
Headers
API version header. Supported values: 2026-03-30
Available options:
2026-03-30 Query Parameters
Max number of items to return per page.
Required range:
1 <= x <= 100Example:
"eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
Was this page helpful?